tmm:

  image:
    repository: "local.registry.com"

  hugepages:
    enabled: true

  sessiondb:
    useExternalStorage: "true"

  topologyManager: true

  cniNetworks: '[{"ippool": "e810-180", "mtu": 9000}, {"ippool": "e810-181", "mtu": 9000}]'
  robinNetworks: "true"
  customEnvVars:
    - name: ROBIN_VFIO_RESOURCE_1
      value: "P1P1_VFIOPCI"
    - name: ROBIN_VFIO_RESOURCE_2
      value: "P1P2_VFIOPCI"
    - name: TMM_IGNORE_GATEWAYS
      value: "TRUE"
    - name: TMM_CALICO_ROUTER
      value: "default"
    - name: SESSIONDB_DISCOVERY_SENTINEL
      value: "true"
    - name: SESSIONDB_EXTERNAL_SERVICE
      value: "f5-dssm-sentinel.cnf-gateway"
    - name: SSL_SERVERSIDE_STORE
      value: "/tls/tmm/mds/clt"
    - name: SSL_TRUSTED_CA_STORE
      value: "/tls/tmm/mds/clt"

  dynamicRouting:
    enabled: true
    exportZebosLogs: true
    tmmRouting:
      image:
        repository: "local.registry.com"
      config:
        bgp:
          asn: 123
          neighbors:
          - ip: "192.168.10.200"
            asn: 456
            acceptsIPv4: true

    tmrouted:
      image:
        repository: "local.registry.com"

f5-afm:
  enabled: true
  afm:
    pccd:
      enabled: true
      image:
        repository: "local.registry.com"
    fluentbit_sidecar:
      fluentd:
        host: 'f5-toda-fluentd.cnf-gateway.svc.cluster.local.'
      image:
        repository: "local.registry.com"

global:
  afm:
    enabled: true
    pccd:
      enabled: true

f5-ipsd:
  enabled: true
  ipsd:
    image:
      repository: "local.registry.com"
    fluentbit_sidecar:
      fluentd:
        host: 'f5-toda-fluentd.cnf-gateway.svc.cluster.local.'
      image:
         repository: "local.registry.com"

controller:
  image:
    repository: "local.registry.com"

  f5_lic_helper:
    enabled: true
    rabbitmqNamespace: "cnf-telemetry"
    image:
      repository: "local.registry.com"
    rabbitmqCerts:
      ca_root_cert: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk
      client_cert: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1
      client_key: LS0tLS1CRUdJTiBQUklWQVRFIEtFWS0tLS0tCk1J

  fluentbit_sidecar:
    enabled: true
    image:
      repository: "local.registry.com"
    fluentd:
      host: 'f5-toda-fluentd.cnf-gateway.svc.cluster.local.'

f5-toda-logging:  
  fluentd:
    host: "f5-toda-fluentd.cnf-gateway.svc.cluster.local."
  sidecar:
    image: 
      repository: "local.registry.com"
  tmstats:
    config:
      image:
        repository: "local.registry.com"

debug:
  rabbitmqNamespace: "cnf-telemetry"
  image: 
    repository: "local.registry.com"
